Subject: Re: bug#72341: VC: CVS template lines not stripped when committing

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Jan 2025 21:49:09 +0200

> Date: Mon, 27 Jan 2025 20:13:31 +0100
> From: Christoph Badura <[email-masked]>
> Cc: [email-masked]
> 
> I'll reply to the 3 relevant mails in one message.  Is that generally
> acceptable on this list?

Sure, no problem with that.

> > > -(defcustom log-edit-done-hook nil
> > > +(defcustom log-edit-done-hook '(log-edit-done-strip-cvs-lines)
> > > [...]
> > > +  :version "30.1"
> > The :version should change to 31.1.
> 
> OK.  But now that the function isn't going to be enabled by default,
> the :version doesn't need to change (or be added).

Yes.  But (a) let's hear what others think about making this the
default, and (b) I think we should add to the doc string of this
option the reference to this function, whose main purpose is to be
used in this hook.

> > Also, I'm not sure we can turn this on by default, as I explained in
> > the previous discussions.
> 
> OK.  I do understand that you guys are not comfortable with turning this
> on immediately.  That begs the question what the criteria for turning this
> on by default are.  But let's discuss that separately.

Right.

> > > +(defun log-edit-done-strip-cvs-lines ()
> > > +  "Strip lines starting with \"CVS:\" from commit log message.
> > > +When not interactively do this only when the VC backend is CVS."
> > 
> > Please add here a short description of the rationale for this
> > functionality.  CVS being used as infrequently nowadays as it is, I'm
> > fairly sure most people won't understand the purpose of this without
> > some help.
> 
> How about:
> 
>   "Strip lines starting with \"CVS:\" from commit log message.
> When not interactively do this only when the VC backend is CVS.
> This mimicks what CVS does when invoked 'cvs commit [files...]'"

SGTM, thanks.

> > Last, but not least: you don't seem to have a copyright assignment on
> > file, without which we cannot accept a contribution of this size.
> 
> I've already started the process.  I've turned in the paperwork on Jan
> 6th but haven't heard back yet.

If they don't reply a week from now, please ping them and CC me.